commit:     57eaa0de596aaa7d0ec1913acf6e7f15c14d2ea3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 28 05:46:01 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar 28 05:55:38 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57eaa0de

dev-python/django-configurations: Bump to 2.5.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-configurations/Manifest          |  1 +
 .../django-configurations-2.5.1.ebuild             | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/django-configurations/Manifest 
b/dev-python/django-configurations/Manifest
index 02144a2b9e5d..72acc10aa062 100644
--- a/dev-python/django-configurations/Manifest
+++ b/dev-python/django-configurations/Manifest
@@ -1 +1,2 @@
+DIST django-configurations-2.5.1.tar.gz 43225 BLAKE2B 
1b9cd14ea50d03500cc05790e831832f6e4e3a917903eb48aa40c2d2dd46a59684ce82b484229fd912a18bcdef4d1887989489b4ab461740f981a87c3a7914f5
 SHA512 
5584446a1b48a0c080401b377786864a905a28337e2912c71ba586ad438df6efeb74c2de1058b77d79f3ba7db85dd443f05dc81013576d301a43bad6736e72e2
 DIST django-configurations-2.5.tar.gz 43152 BLAKE2B 
35976466132f9b78a031955c891733cb0a01f20d39d53708ed5100492b3a1963e50228f3175437f54201fb6d992312c641e08562a85cf57cb089f2c7678101e7
 SHA512 
a6e3f301bf6123234245a5fe88f4b0eecfc021230c593d2864a969560d52c70b6932c0fac64cd83f21fb06b83821d37320181f0601450d6f3cd4e4b06c4ae9f5

diff --git 
a/dev-python/django-configurations/django-configurations-2.5.1.ebuild 
b/dev-python/django-configurations/django-configurations-2.5.1.ebuild
new file mode 100644
index 000000000000..11a7c3d41a65
--- /dev/null
+++ b/dev-python/django-configurations/django-configurations-2.5.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A helper for organizing Django settings"
+HOMEPAGE="
+       https://pypi.org/project/django-configurations/
+       https://github.com/jazzband/django-configurations/
+       https://django-configurations.readthedocs.io/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/django-cache-url[${PYTHON_USEDEP}]
+               dev-python/dj-database-url[${PYTHON_USEDEP}]
+               dev-python/dj-email-url[${PYTHON_USEDEP}]
+               dev-python/dj-search-url[${PYTHON_USEDEP}]
+       )
+"
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+       local -x DJANGO_SETTINGS_MODULE=tests.settings.main
+       local -x DJANGO_CONFIGURATION=Test
+       PYTHONPATH=. django-cadmin test -v2 || die "Tests failed with 
${EPYTHON}"
+}

Reply via email to